<?php


require __DIR__ . '/ticket/autoload.php'; //Nota: si renombraste la carpeta a algo diferente de "ticket" cambia el nombre en esta línea
use Mike42\Escpos\Printer;
use Mike42\Escpos\EscposImage;
use Mike42\Escpos\PrintConnectors\WindowsPrintConnector;


$conexion = new PDO("mysql:host=localhost;dbname=plastdel_pruebas","plastdelnorte","plasticosrimac123");

    $busqueda=$conexion->query("select DISTINCT  *from detalle_venta dt inner join venta v on dt.codigo_venta=v.cod_venta inner join comprobante_venta c on c.venta_cod=v.cod_venta where codigo_venta='$_GET[cod_venta]' group by item");
    /*Almacenamos el resultado de fetchAll en una variable*/
    $arrDatos=$busqueda->fetchAll(PDO::FETCH_ASSOC);

        $arrDatos1=$busqueda->fetchAll(PDO::FETCH_BOTH);

/*
	Este ejemplo imprime un
	ticket de venta desde una impresora térmica
*/


/*
    Aquí, en lugar de "POS" (que es el nombre de mi impresora)
	escribe el nombre de la tuya. Recuerda que debes compartirla
	desde el panel de control
*/

$nombre_impresora = "BIXOLON SRP-F312II"; 


$connector = new WindowsPrintConnector($nombre_impresora);
$printer = new Printer($connector);
#Mando un numero de respuesta para saber que se conecto correctamente.
echo 1;
/*
	Vamos a imprimir un logotipo
	opcional. Recuerda que esto
	no funcionará en todas las
	impresoras

	Pequeña nota: Es recomendable que la imagen no sea
	transparente (aunque sea png hay que quitar el canal alfa)
	y que tenga una resolución baja. En mi caso
	la imagen que uso es de 250 x 250
*/

# Vamos a alinear al centro lo próximo que imprimamos
$printer->setJustification(Printer::JUSTIFY_CENTER);

/*
	Intentaremos cargar e imprimir
	el logo
*/
try{
	$logo = EscposImage::load("logo_bp.png", false);
    $printer->bitImage($logo);
}catch(Exception $e){/*No hacemos nada si hay error*/}

/*
	Ahora vamos a imprimir un encabezado
*/

$printer->text("\n"."PLASTICO RIMAC S.R.L" . "\n");
$printer->text("\n"."R.U.C. 20480191375" . "\n");
$printer->text("Direccion: CALLE NICOLAS CUGLIEVAN Nº 175" . "\n");
$printer->text("TEL. 074-526918 - CEL. 99831426" . "\n");
$printer->text("---------------------------------------------" . "\n");

foreach ($arrDatos as $muestra) {

	$tipo_comprobante=$muestra['tipo_comprobante'];
	$serie=$muestra['serie'];
	$numero=$muestra['numero'];
	$fecha_emision=$muestra['fecha_emision'];
	$hora_emision=$muestra['hora_emision'];
	$cliente=$muestra['cliente'];
	$tipo_doc=$muestra['tipo_doc'];
	$nro_doc=$muestra['nro_doc'];
	$op_gravada=$muestra['op_gravada'];
	$op_exonerada=$muestra['op_exonerada'];
	$op_inafecta=$muestra['op_inafecta'];
	$igv=$muestra['igv'];
	$importe_total=$muestra['importe_total'];

}

#La fecha también
//date_default_timezone_set("America/Mexico_City");
$printer->text($tipo_comprobante."\n");
$printer->text($serie."-".$numero."\n");
$printer->text($fecha_emision."|".   $hora_emision."\n");
$printer->text($cliente."\n");
$printer->text($tipo_doc.":".   $nro_doc."\n");


$printer->text("---------------------------------------------" . "\n");


$printer->setJustification(Printer::JUSTIFY_LEFT);
$printer->text("COD.    U.M  CANT.  P.U   IMP.\n");
$printer->text("---------------------------------------------"."\n");
/*
	Ahora vamos a imprimir los
	productos
*/
	foreach ($arrDatos as $muestra) {


	/*Alinear a la izquierda para la cantidad y el nombre*/
	$printer->setJustification(Printer::JUSTIFY_LEFT);
    $printer->text($muestra['descripcion']."\n");
    $printer->text($muestra['cod_producto']."|".   $muestra['und_medida']."|".    $muestra['cantidad']."|".    $muestra['precio']."|".    $muestra['importe']."\n");
   /* $printer->text( "2  pieza    10.00 20.00   \n");
    $printer->text("Sabrtitas \n");
    $printer->text( "3  pieza    10.00 30.00   \n");
    $printer->text("Doritos \n");
    $printer->text( "5  pieza    10.00 50.00   \n");*/

}


$numero = $importe_total; 
$cambio = valorEnLetras($numero); 


function valorEnLetras($x) 
{ 
if ($x<0) { $signo = "MENOS ";} 
else      { $signo = "";} 
$x = abs ($x); 
$C1 = $x; 

$G6 = floor($x/(1000000));  // 7 y mas 

$E7 = floor($x/(100000)); 
$G7 = $E7-$G6*10;   // 6 

$E8 = floor($x/1000); 
$G8 = $E8-$E7*100;   // 5 y 4 

$E9 = floor($x/100); 
$G9 = $E9-$E8*10;  //  3 

$E10 = floor($x); 
$G10 = $E10-$E9*100;  // 2 y 1 


$G11 = round(($x-$E10)*100,0);  // Decimales 
////////////////////// 

$H6 = unidades($G6); 

if($G7==1 AND $G8==0) { $H7 = "CIEN "; } 
else {    $H7 = decenas($G7); } 

$H8 = unidades($G8); 

if($G9==1 AND $G10==0) { $H9 = "CIEN "; } 
else {    $H9 = decenas($G9); } 

$H10 = unidades($G10); 

if($G11 < 10) { $H11 = "0".$G11; } 
else { $H11 = $G11; } 

///////////////////////////// 
    if($G6==0) { $I6=" "; } 
elseif($G6==1) { $I6="MILLON "; } 
         else { $I6="MILLONES "; } 
          
if ($G8==0 AND $G7==0) { $I8=" "; } 
         else { $I8="MIL "; } 
          
$I10 = "CON "; 
$I11 = "/100 SOLES "; 

$C3 = $signo.$H6.$I6.$H7.$H8.$I8.$H9.$H10.$I10.$H11.$I11; 

return $C3; //Retornar el resultado 

} 

function unidades($u) 
{ 
    if ($u==0)  {$ru = " ";} 
elseif ($u==1)  {$ru = "UN ";} 
elseif ($u==2)  {$ru = "DOS ";} 
elseif ($u==3)  {$ru = "TRES ";} 
elseif ($u==4)  {$ru = "CUATRO ";} 
elseif ($u==5)  {$ru = "CINCO ";} 
elseif ($u==6)  {$ru = "SEIS ";} 
elseif ($u==7)  {$ru = "SIETE ";} 
elseif ($u==8)  {$ru = "OCHO ";} 
elseif ($u==9)  {$ru = "NUEVE ";} 
elseif ($u==10) {$ru = "DIEZ ";} 

elseif ($u==11) {$ru = "ONCE ";} 
elseif ($u==12) {$ru = "DOCE ";} 
elseif ($u==13) {$ru = "TRECE ";} 
elseif ($u==14) {$ru = "CATORCE ";} 
elseif ($u==15) {$ru = "QUINCE ";} 
elseif ($u==16) {$ru = "DIECISEIS ";} 
elseif ($u==17) {$ru = "DIECISIETE ";} 
elseif ($u==18) {$ru = "DIECIOCHO ";} 
elseif ($u==19) {$ru = "DIECINUEVE ";} 
elseif ($u==20) {$ru = "VEINTE ";} 

elseif ($u==21) {$ru = "VEINTIUNO ";} 
elseif ($u==22) {$ru = "VENTIDOS ";} 
elseif ($u==23) {$ru = "VEINTITRES ";} 
elseif ($u==24) {$ru = "VEINTICRUATRO ";} 
elseif ($u==25) {$ru = "VEINTICINCO ";} 
elseif ($u==26) {$ru = "VEINTISEIS ";} 
elseif ($u==27) {$ru = "VEINTISIETE ";} 
elseif ($u==28) {$ru = "VEINTIOCHO ";} 
elseif ($u==29) {$ru = "VEINTINUEVE ";} 
elseif ($u==30) {$ru = "TREINTA ";} 

elseif ($u==31) {$ru = "TREINTA Y UNO ";} 
elseif ($u==32) {$ru = "TREITA Y DOS ";} 
elseif ($u==33) {$ru = "TREITA Y TRES ";} 
elseif ($u==34) {$ru = "TREINTA Y CUATRO ";} 
elseif ($u==35) {$ru = "TREINTA Y CINCO ";} 
elseif ($u==36) {$ru = "TREINTA Y SEIS ";} 
elseif ($u==37) {$ru = "TREINTA Y SIETE ";} 
elseif ($u==38) {$ru = "TREINTA Y OCHO ";} 
elseif ($u==39) {$ru = "TREINTA Y NUEVE ";} 
elseif ($u==40) {$ru = "CUARENTA ";} 

elseif ($u==41) {$ru = "CUARENTA Y UNO ";} 
elseif ($u==42) {$ru = "CUARENTA Y DOS ";} 
elseif ($u==43) {$ru = "CUARENTA Y TRES ";} 
elseif ($u==44) {$ru = "CUARENTA Y CUATRO ";} 
elseif ($u==45) {$ru = "CUARENTA Y CINCO ";} 
elseif ($u==46) {$ru = "CUARENTA Y SEIS ";} 
elseif ($u==47) {$ru = "CUARENTA Y SIETE ";} 
elseif ($u==48) {$ru = "CUARENTA Y OCHO ";} 
elseif ($u==49) {$ru = "CUARENTA Y NUEVE ";} 
elseif ($u==50) {$ru = "CINCUENTA ";} 

elseif ($u==51) {$ru = "CINCUENTA Y UNO ";} 
elseif ($u==52) {$ru = "CINCUENTA Y DOS ";} 
elseif ($u==53) {$ru = "CINCUENTA Y TRES ";} 
elseif ($u==54) {$ru = "CINCUENTA Y CUATRO ";} 
elseif ($u==55) {$ru = "CINCUENTA Y CINCO ";} 
elseif ($u==56) {$ru = "CINCUENTA Y SEIS ";} 
elseif ($u==57) {$ru = "CINCUENTA Y SIETE ";} 
elseif ($u==58) {$ru = "CINCUENTA Y OCHO ";} 
elseif ($u==59) {$ru = "CINCUENTA Y NUEVE ";} 
elseif ($u==60) {$ru = "SESENTA ";} 

elseif ($u==61) {$ru = "SESENTA Y UNO ";} 
elseif ($u==62) {$ru = "SESENTA Y DOS ";} 
elseif ($u==63) {$ru = "SESENTA Y TRES ";} 
elseif ($u==64) {$ru = "SESENTA Y CUATRO ";} 
elseif ($u==65) {$ru = "SESENTA Y CINCO ";} 
elseif ($u==66) {$ru = "SESENTA Y SEIS ";} 
elseif ($u==67) {$ru = "SESENTA Y SIETE ";} 
elseif ($u==68) {$ru = "SESENTA Y OCHO ";} 
elseif ($u==69) {$ru = "SESENTA Y NUEVE ";} 
elseif ($u==70) {$ru = "SETENTA ";} 

elseif ($u==71) {$ru = "SETENTA Y UNO ";} 
elseif ($u==72) {$ru = "SETENTA Y DOS ";} 
elseif ($u==73) {$ru = "SETENTA Y TRES ";} 
elseif ($u==74) {$ru = "SETENTA Y CUATRO ";} 
elseif ($u==75) {$ru = "SETENTA Y CINCO ";} 
elseif ($u==76) {$ru = "SETENTA Y SEIS ";} 
elseif ($u==77) {$ru = "SETENTA Y SIETE ";} 
elseif ($u==78) {$ru = "SETENTA Y OCHO ";} 
elseif ($u==79) {$ru = "SETENTA Y NUEVE ";} 
elseif ($u==80) {$ru = "OCHENTA ";} 

elseif ($u==81) {$ru = "OCHENTA Y UNO ";} 
elseif ($u==82) {$ru = "OCHENTA Y DOS ";} 
elseif ($u==83) {$ru = "OCHENTA Y TRES ";} 
elseif ($u==84) {$ru = "OCHENTA Y CUATRO ";} 
elseif ($u==85) {$ru = "OCHENTA Y CINCO ";} 
elseif ($u==86) {$ru = "OCHENTA Y SEIS ";} 
elseif ($u==87) {$ru = "OCHENTA Y SIETE ";} 
elseif ($u==88) {$ru = "OCHENTA Y OCHO ";} 
elseif ($u==89) {$ru = "OCHENTA Y NUEVE ";} 
elseif ($u==90) {$ru = "NOVENTA ";} 

elseif ($u==91) {$ru = "NOVENTA Y UNO ";} 
elseif ($u==92) {$ru = "NOVENTA Y DOS ";} 
elseif ($u==93) {$ru = "NOVENTA Y TRES ";} 
elseif ($u==94) {$ru = "NOVENTA Y CUATRO ";} 
elseif ($u==95) {$ru = "NOVENTA Y CINCO ";} 
elseif ($u==96) {$ru = "NOVENTA Y SEIS ";} 
elseif ($u==97) {$ru = "NOVENTA Y SIETE ";} 
elseif ($u==98) {$ru = "NOVENTA Y OCHO ";} 
else            {$ru = "NOVENTA Y NUEVE ";} 
return $ru; //Retornar el resultado 
} 

function decenas($d) 
{ 
    if ($d==0)  {$rd = "";} 
elseif ($d==1)  {$rd = "CIENTO ";} 
elseif ($d==2)  {$rd = "DOSCIENTOS ";} 
elseif ($d==3)  {$rd = "TRESCIENTOS ";} 
elseif ($d==4)  {$rd = "CUATROCIENTOS ";} 
elseif ($d==5)  {$rd = "QUINIENTOS ";} 
elseif ($d==6)  {$rd = "SEISCIENTOS ";} 
elseif ($d==7)  {$rd = "SETECIENTOS ";} 
elseif ($d==8)  {$rd = "OCHOCIENTOS ";} 
else            {$rd = "NOVECIENTOS ";} 
return $rd; //Retornar el resultado 
} 

/*
	Terminamos de imprimir
	los productos, ahora va el total
*/
$printer->text("---------------------------------------------"."\n");
$printer->setJustification(Printer::JUSTIFY_RIGHT);
$printer->text("Op.Gravada".":"  .   $op_gravada."\n");
$printer->text("Igv (18%)".":"  .   $igv."\n");
$printer->text("Op.Inafecta".":"  .   $op_inafecta."\n");
$printer->text("Op.Exonerada".":"  .   $op_exonerada."\n");
$printer->text("Importe Total".":"  .   $importe_total."\n");
$printer->text("---------------------------------------------"."\n");
$printer->text("Son".":" .$cambio ."(PEN)"."\n");
$printer->text("---------------------------------------------"."\n");




	
	












/*
	Podemos poner también un pie de página
*/
$printer->setJustification(Printer::JUSTIFY_CENTER);
$printer->text("Representación impresa del COMPROBANTE ELÉCTRONICO\n");
$printer->text("Consulta tu comprobante de pago en: \n");
$printer->text("http://www.sunat.gob.pe/ol-ti-itconsvalicpe/ConsValiCpe.htm \n");


/*Alimentamos el papel 3 veces*/
$printer->feed(3);

/*
	Cortamos el papel. Si nuestra impresora
	no tiene soporte para ello, no generará
	ningún error
*/
$printer->cut();

/*
	Por medio de la impresora mandamos un pulso.
	Esto es útil cuando la tenemos conectada
	por ejemplo a un cajón
*/
$printer->pulse();

/*
	Para imprimir realmente, tenemos que "cerrar"
	la conexión con la impresora. Recuerda incluir esto al final de todos los archivos
*/
$printer->close();

?>